Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.uat.relesystest.net/api/v1.3/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"2b9da506-d618-4f2f-a80d-600991d1ca6d","userId":"7e0e53eb-3e65-41a5-ba97-da5aadd243a2"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"0460b16b-30f8-4755-b021-895a24896214","userId":"8b47e548-c55f-40d9-a055-6bc09807f6e3"}]}
object
  count integer      
  data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string